import { z } from 'zod';
export declare const PoetryDependencyRecord: z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
    path?: string | undefined;
    git?: string | undefined;
    tag?: string | undefined;
    version?: string | undefined;
} | {
    path?: string | undefined;
    git?: string | undefined;
    tag?: string | undefined;
    version?: string | undefined;
}[]>, Record<string, any>>;
export type PoetryDependencyRecord = z.infer<typeof PoetryDependencyRecord>;
export declare const PoetryGroupRecord: z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, {
    dependencies?: Record<string, string | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    } | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    }[]> | undefined;
}>, Record<string, any>>;
export type PoetryGroupRecord = z.infer<typeof PoetryGroupRecord>;
export declare const PoetrySectionSchema: z.ZodObject<{
    dependencies: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    } | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    }[]>, Record<string, any>>>;
    'dev-dependencies': z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    } | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    }[]>, Record<string, any>>>;
    extras: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    } | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    }[]>, Record<string, any>>>;
    group: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, {
        dependencies?: Record<string, string | {
            path?: string | undefined;
            git?: string | undefined;
            tag?: string | undefined;
            version?: string | undefined;
        } | {
            path?: string | undefined;
            git?: string | undefined;
            tag?: string | undefined;
            version?: string | undefined;
        }[]> | undefined;
    }>, Record<string, any>>>;
    source: z.ZodOptional<z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        url: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        url?: string | undefined;
    }, {
        name: string;
        url?: string | undefined;
    }>, "many">>;
}, "strip", z.ZodTypeAny, {
    dependencies?: Record<string, string | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    } | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    }[]> | undefined;
    'dev-dependencies'?: Record<string, string | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    } | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    }[]> | undefined;
    extras?: Record<string, string | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    } | {
        path?: string | undefined;
        git?: string | undefined;
        tag?: string | undefined;
        version?: string | undefined;
    }[]> | undefined;
    group?: Record<string, {
        dependencies?: Record<string, string | {
            path?: string | undefined;
            git?: string | undefined;
            tag?: string | undefined;
            version?: string | undefined;
        } | {
            path?: string | undefined;
            git?: string | undefined;
            tag?: string | undefined;
            version?: string | undefined;
        }[]> | undefined;
    }> | undefined;
    source?: {
        name: string;
        url?: string | undefined;
    }[] | undefined;
}, {
    dependencies?: Record<string, any> | undefined;
    'dev-dependencies'?: Record<string, any> | undefined;
    extras?: Record<string, any> | undefined;
    group?: Record<string, any> | undefined;
    source?: {
        name: string;
        url?: string | undefined;
    }[] | undefined;
}>;
export type PoetrySectionSchema = z.infer<typeof PoetrySectionSchema>;
export declare const PoetrySchema: z.ZodObject<{
    tool: z.ZodOptional<z.ZodObject<{
        poetry: z.ZodOptional<z.ZodObject<{
            dependencies: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]>, Record<string, any>>>;
            'dev-dependencies': z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]>, Record<string, any>>>;
            extras: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]>, Record<string, any>>>;
            group: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, {
                dependencies?: Record<string, string | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                } | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                }[]> | undefined;
            }>, Record<string, any>>>;
            source: z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                url: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                url?: string | undefined;
            }, {
                name: string;
                url?: string | undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            dependencies?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            'dev-dependencies'?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            extras?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            group?: Record<string, {
                dependencies?: Record<string, string | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                } | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                }[]> | undefined;
            }> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        }, {
            dependencies?: Record<string, any> | undefined;
            'dev-dependencies'?: Record<string, any> | undefined;
            extras?: Record<string, any> | undefined;
            group?: Record<string, any> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        poetry?: {
            dependencies?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            'dev-dependencies'?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            extras?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            group?: Record<string, {
                dependencies?: Record<string, string | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                } | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                }[]> | undefined;
            }> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        } | undefined;
    }, {
        poetry?: {
            dependencies?: Record<string, any> | undefined;
            'dev-dependencies'?: Record<string, any> | undefined;
            extras?: Record<string, any> | undefined;
            group?: Record<string, any> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        } | undefined;
    }>>;
    'build-system': z.ZodOptional<z.ZodObject<{
        requires: z.ZodArray<z.ZodString, "many">;
        'build-backend': z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        requires: string[];
        'build-backend'?: string | undefined;
    }, {
        requires: string[];
        'build-backend'?: string | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    tool?: {
        poetry?: {
            dependencies?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            'dev-dependencies'?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            extras?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            group?: Record<string, {
                dependencies?: Record<string, string | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                } | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                }[]> | undefined;
            }> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        } | undefined;
    } | undefined;
    'build-system'?: {
        requires: string[];
        'build-backend'?: string | undefined;
    } | undefined;
}, {
    tool?: {
        poetry?: {
            dependencies?: Record<string, any> | undefined;
            'dev-dependencies'?: Record<string, any> | undefined;
            extras?: Record<string, any> | undefined;
            group?: Record<string, any> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        } | undefined;
    } | undefined;
    'build-system'?: {
        requires: string[];
        'build-backend'?: string | undefined;
    } | undefined;
}>;
export type PoetrySchema = z.infer<typeof PoetrySchema>;
export declare const PoetrySchemaToml: z.ZodPipeline<z.ZodEffects<z.ZodString, import("@iarna/toml").JsonMap, string>, z.ZodObject<{
    tool: z.ZodOptional<z.ZodObject<{
        poetry: z.ZodOptional<z.ZodObject<{
            dependencies: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]>, Record<string, any>>>;
            'dev-dependencies': z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]>, Record<string, any>>>;
            extras: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]>, Record<string, any>>>;
            group: z.ZodOptional<z.ZodEffects<z.ZodRecord<z.ZodString, z.ZodAny>, Record<string, {
                dependencies?: Record<string, string | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                } | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                }[]> | undefined;
            }>, Record<string, any>>>;
            source: z.ZodOptional<z.ZodArray<z.ZodObject<{
                name: z.ZodString;
                url: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                name: string;
                url?: string | undefined;
            }, {
                name: string;
                url?: string | undefined;
            }>, "many">>;
        }, "strip", z.ZodTypeAny, {
            dependencies?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            'dev-dependencies'?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            extras?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            group?: Record<string, {
                dependencies?: Record<string, string | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                } | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                }[]> | undefined;
            }> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        }, {
            dependencies?: Record<string, any> | undefined;
            'dev-dependencies'?: Record<string, any> | undefined;
            extras?: Record<string, any> | undefined;
            group?: Record<string, any> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        poetry?: {
            dependencies?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            'dev-dependencies'?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            extras?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            group?: Record<string, {
                dependencies?: Record<string, string | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                } | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                }[]> | undefined;
            }> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        } | undefined;
    }, {
        poetry?: {
            dependencies?: Record<string, any> | undefined;
            'dev-dependencies'?: Record<string, any> | undefined;
            extras?: Record<string, any> | undefined;
            group?: Record<string, any> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        } | undefined;
    }>>;
    'build-system': z.ZodOptional<z.ZodObject<{
        requires: z.ZodArray<z.ZodString, "many">;
        'build-backend': z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        requires: string[];
        'build-backend'?: string | undefined;
    }, {
        requires: string[];
        'build-backend'?: string | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    tool?: {
        poetry?: {
            dependencies?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            'dev-dependencies'?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            extras?: Record<string, string | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            } | {
                path?: string | undefined;
                git?: string | undefined;
                tag?: string | undefined;
                version?: string | undefined;
            }[]> | undefined;
            group?: Record<string, {
                dependencies?: Record<string, string | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                } | {
                    path?: string | undefined;
                    git?: string | undefined;
                    tag?: string | undefined;
                    version?: string | undefined;
                }[]> | undefined;
            }> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        } | undefined;
    } | undefined;
    'build-system'?: {
        requires: string[];
        'build-backend'?: string | undefined;
    } | undefined;
}, {
    tool?: {
        poetry?: {
            dependencies?: Record<string, any> | undefined;
            'dev-dependencies'?: Record<string, any> | undefined;
            extras?: Record<string, any> | undefined;
            group?: Record<string, any> | undefined;
            source?: {
                name: string;
                url?: string | undefined;
            }[] | undefined;
        } | undefined;
    } | undefined;
    'build-system'?: {
        requires: string[];
        'build-backend'?: string | undefined;
    } | undefined;
}>>;
