"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parsePoetry = void 0;
const logger_1 = require("../../../logger");
const schema_1 = require("./schema");
function parsePoetry(fileName, fileContent) {
    const res = schema_1.PoetrySchemaToml.safeParse(fileContent);
    if (res.success) {
        return res.data;
    }
    logger_1.logger.debug({ err: res.error, fileName }, 'Error parsing poetry lockfile.');
    return null;
}
exports.parsePoetry = parsePoetry;
//# sourceMappingURL=utils.js.map